<template>
  <template if:true={showModal}>
    <!--We'll just paste the sample modal from the salesforce SLDS page, let's see how to add a spinner to it-->
    <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
        <!--we need this relative tag so that the spinner shows up inside the modal-->

        <div class="slds-modal__container">
            <header class="slds-modal__header">
                <h2 id="modal-heading-01" class="slds-modal__title slds-hyphenate">Patient Loading</h2>
            </header>
            <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
              <div style="height: 1em;">
                <p>
                  
                  Retrieving Data from Epic

                </p>
              </div>
            </div>
            <div class="slds-is-relative">
              <lightning-spinner alternative-text="Loading" size="large" variant="brand"></lightning-spinner>
          </div>
        </div>
        <template if:true={isLoading}>
      </template>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
  </template>
  <article class="slds-card">
    <div class="slds-card__header slds-grid">
      <header class="slds-media slds-media_center slds-has-flexi-truncate">
        <div class="slds-media__figure">
            <lightning-icon icon-name="standard:task" alternative-text="Notification" title="Notification" size="small"></lightning-icon>
        </div>
        <div class="slds-media__body">
          <h2 class="slds-card__header-title">
              <span>Notification Center</span>
          </h2>
        </div>
      </header>
    </div>
      <div class="slds-card__body slds-card__body_inner" style="min-height: 45px;">
        <template for:each={alerts} for:item="alert" class="slds-list_horizontal">
          <div key={alert.Key} class="slds-scoped-notification slds-media slds-media_center slds-scoped-notification_light" role="status" style={alert.NotificationStyle}>
            <div class="slds-media__body" key={alert.Key_a}>
              <p class="slds-truncate" style={alert.FontStyle}> <lightning-icon icon-name="utility:info_alt" alternative-text="Notification" title={alert.Title} size="x-small" class={alert.IconColor}></lightning-icon>{alert.Message}</p>
              <p class="slds-truncate"> {alert.Action}</p>
            </div>
          </div>
        </template>
      </div>
        <footer class="slds-card__footer">
        </footer>
  </article>
</template>